> ## Documentation Index
> Fetch the complete documentation index at: https://docs.decodahealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Invoice

> Update an invoice's data.



## OpenAPI

````yaml put /billing/invoice/{invoice_id}
openapi: 3.1.0
info:
  title: Decoda API
  description: External API documentation for the Decoda Health platform.
  version: '1.0'
servers: []
security: []
paths:
  /billing/invoice/{invoice_id}:
    put:
      tags:
        - provider
        - billing
      summary: Update Invoice
      operationId: update_invoice_billing_invoice__invoice_id__put
      parameters:
        - name: TENANT
          in: header
          required: true
          schema:
            type: string
            title: Tenant
          description: The tenant you are making this request on behalf of
        - name: API-KEY
          in: header
          required: true
          schema:
            type: string
            title: Api-Key
          description: Your api key
        - name: invoice_id
          in: path
          required: true
          schema:
            type: string
            title: Invoice Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateInvoiceData'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: boolean
                title: Response Update Invoice Billing Invoice  Invoice Id  Put
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    UpdateInvoiceData:
      properties:
        method:
          $ref: '#/components/schemas/InvoiceMethod'
        sendTime:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Sendtime
      type: object
      required:
        - method
      title: UpdateInvoiceData
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    InvoiceMethod:
      type: string
      enum:
        - CHARGE_CARD
        - SMS
        - EMAIL
        - CALL
        - MAIL
        - EXPIRY
      title: InvoiceMethod
      description: The method used to send an invoice to a patient.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````